    * ******************************************************************** *
   * ******************************************************************** *
   *                                                                      *
   *               Designing Air Quality Monitoring Systems               *
   *               				Master Dofile           				  *
   *               										                  *
   *                                                                      *
   * ******************************************************************** *
   * ******************************************************************** *

   ** Last date modified: 21 Aug 2024
 
 



clear all
version 18.0
*ssc install numdate
*ssc install  estout
set varabbrev on
set seed 87392798

**********************************************************************************************
*Set this path to the reproducibility package directory: 
global reproducibility_package_dir ""
**********************************************************************************************
sysdir set PLUS "${reproducibility_package_dir}/Code/Stata/ado" 

* Root folder globals
* ---------------------

global raw_data_dir "$reproducibility_package_dir/Data/Raw"
global final_data_dir "$reproducibility_package_dir/Data/Final"


global stata_code_dir "$reproducibility_package_dir/Code/Stata"

global outputs "$reproducibility_package_dir/Outputs/Tables"



* To reproduce Table 1
do "$stata_code_dir/calibration.do"

* To reproduce the first panel of Table 2
do "$stata_code_dir/correlations.do"

* To reproduce the second panel of Table 2
do "$stata_code_dir/rmse.do"

* To reproduce Tables 3, 4, and A4
do "$stata_code_dir/tables.do"



